//
//  Reachability.h
//  MBMenuExtra
//
//  Created by Michael Bishop on 12/22/09.
//  Copyright 2009 Perforce Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <SystemConfiguration/SCNetworkReachability.h>

typedef void (^ReachabilityCallbackBlock)(SCNetworkReachabilityFlags flags);

@interface NGAReachability : NSObject {
    SCNetworkReachabilityRef reachabilityRef;
    ReachabilityCallbackBlock _block;
    SCNetworkReachabilityContext _context;
    NSString * _name;
}

-(id)initWithName:(NSString*)address;
-(BOOL)startWithBlock:(ReachabilityCallbackBlock)block;
-(BOOL)stop;

-(BOOL)isReachableWithoutRequiringConnection:(SCNetworkReachabilityFlags)flags;

@end
